1.6pre4 works good enough Rated 4 out of 5 stars

1.6pre4 works good enough for me on FF20.0.1 Certainly better than not having this extension. 1 star off for not updating soon! When updated properly I WILL donate, everybody else should too.

This review is for a previous version of the add-on (1.5.1).